Announcement

Collapse
No announcement yet.

upgrade from 5.5.4 to 5.6.0 error

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • upgrade from 5.5.4 to 5.6.0 error

    Hello.

    I have problem with upgrade to latest version. I upload all files from folder "upload" to my FTP server. And when i try run installation from my domain, I get this error:

    Code:
    Startup Warnings
    
    It is advisable to resolve the following issues prior to continuing with the install. To check that the issues have been resolved, hit "refresh". To continue without resolving the issues, hit "confirm":
    • Checksum file md5_sums_vbulletin.php is currently writable. Please ensure that this file is not writable by the webserver.
    • Following is a list of files that are either missing or contain unexpected contents. The most likely cause is that all of the files from this release have not been properly uploaded. You should resolve this error before continuing. /admincp - Directory not recognized as part of vBulletin. Warning: Its contents were not scanned. /css - Directory not recognized as part of vBulletin. Warning: Its contents were not scanned. /forumrunner - Directory not recognized as part of vBulletin. Warning: Its contents were not scanned. /gmh2emv4.php - File not recognized as part of vBulletin /mx9la93n.php - File not recognized as part of vBulletin /robots.txt - File not recognized as part of vBulletin /tools.php - File not recognized as part of vBulletin /core/customgroupicons - Directory not recognized as part of vBulletin. Warning: Its contents were not scanned. /core/customprofilepics - Directory not recognized as part of vBulletin. Warning: Its contents were not scanned. /core/signaturepics - Directory not recognized as part of vBulletin. Warning: Its contents were not
    ...................
    and next many many many rows.

    But this files are on FTP.

    And when i confirm this error, then i get another error

    Code:
    Due to the following errors, the install/upgrade can not continue:
    • Javascript support within your browser may be disabled; this is required to continue. If javascript is enabled, verify that this file is in place: Upgrade Javascript
    After upload files from 5.6.0 to FTP it is my site completely broken

    help me please
    best regard.

  • #2
    You have a couple of files that look like they might have been part of the exploit from 5.4X

    Tools.php should not be on the sever unless you are using it.

    The other folders have been moved or removed but their existence won't cause issues with the operation of your forums.

    Comment


    • #3
      change browser or use console

      Upgrading via the Command Line Interface
      If you have a larger site, then you may want to run the upgrade scripts from the Command Line Interface (CLI). vBulletin can support this. After you have prepared your files using the steps above then you can log into your command line interface, usually SSH. From your SSH terminal, change into the %forumroot%/core/install directory. Then run the upgrade utility with this command line:
      Code:
      php -f upgrade.php

      Comment


      • #4
        A tried firefox, edge and IE, but always the same error. Unfortunately I do not have the option to install via command line

        Comment


        • #5
          Originally posted by jenda3 View Post
          A tried firefox, edge and IE, but always the same error. Unfortunately I do not have the option to install via command line
          Using the command line interface isn't going to fix the issues. I'm not sure why you were given that advice.

          You need to delete the tools.php file from the server first. Then you need to determine what the following two files are as they are not part of vBulletin.

          /gmh2emv4.php - File not recognized as part of vBulletin
          /mx9la93n.php - File not recognized as part of vBulletin

          Finally, you need to ensure javascript is running in your web browser. Turn off NoScript or any ad blockers you are using for your own website.

          Once you have done those three things let us know if you can run the upgrade script.

          Comment


          • #6
            In Omnibus I deleted tools.php. I uploaded it yesterday when I needed to turn on the forum. I checked again all files and every file are on FTP. I don't know why installation process show that files are missing.
            In EDGE or IE i don't have any plugins. And I checked again that javascript is running, and it is. My colleague tried installing from his PC and he has the same problem.

            Thank you for your reply, but the problem persists.

            Comment


            • #7
              Are the files in the root, or in a subfolder such as /forums?
              MARK.B | vBULLETIN SUPPORT

              TalkNewsUK - My vBulletin 5.6.3 Demo
              AdminAmmo - My Cloud Demo

              Comment


              • #8
                Files are in subfolder

                Comment


                • #9
                  I would suggest the following:

                  Close your forum
                  Rename your current subfolder to something else (eg change forums to forums2)
                  Create a new subfolder with the same name as the original (eg forums) - so this will be empty
                  Upload the 5.6.0 files ONLY into this folder
                  Copy over any user-generated content (eg attachments, avatars, sigpics) if these are stored in the filesystem and are within the forum subfolder
                  Copy over your old .htaccess and config.php files from the old subfolder
                  Copy over /core/includes/config.php from the old subfolder

                  Now try the upgrade again.
                  MARK.B | vBULLETIN SUPPORT

                  TalkNewsUK - My vBulletin 5.6.3 Demo
                  AdminAmmo - My Cloud Demo

                  Comment


                  • #10
                    All the files listed in the first post are not part of a standard vBulletin installation. Yes, they appear on FTP but they don't belong there.

                    The valid files in a vBulletin installation will change in every version as we add features and update legacy code to use the newer API functionality. This is why we scan the directory for you and tell you that specific files are either modified or don't belong.
                    Translations provided by Google.

                    Wayne Luke
                    The Rabid Badger - a vBulletin Cloud demonstration site.
                    vBulletin 5 API - Full / Mobile
                    Vote for your favorite feature requests and the bugs you want to see fixed.

                    Comment


                    • #11
                      Originally posted by Mark.B View Post
                      I would suggest the following:

                      Close your forum
                      Rename your current subfolder to something else (eg change forums to forums2)
                      Create a new subfolder with the same name as the original (eg forums) - so this will be empty
                      Upload the 5.6.0 files ONLY into this folder
                      Copy over any user-generated content (eg attachments, avatars, sigpics) if these are stored in the filesystem and are within the forum subfolder
                      Copy over your old .htaccess and config.php files from the old subfolder
                      Copy over /core/includes/config.php from the old subfolder

                      Now try the upgrade again.
                      Thank you .... tried .... but without success



                      Originally posted by Wayne Luke View Post
                      All the files listed in the first post are not part of a standard vBulletin installation. Yes, they appear on FTP but they don't belong there.

                      The valid files in a vBulletin installation will change in every version as we add features and update legacy code to use the newer API functionality. This is why we scan the directory for you and tell you that specific files are either modified or don't belong.
                      Good evening, I am the owner of the domain above, jenda3 is my colleague who manages our forum.

                      We didn't do anything wrong. All according to standard procedure. We did the update before and always without any problems. This update has damaged everything and the forum is no longer functional.
                      We are not the first, here on this forum is to find many posts with the same text "Javascript support within your browser may be disabled;" It is not at all a Javascript issue. This is done by the "Includes" folder. This error message occurs immediately after "Includes" is uploaded.

                      I have purchased two licenses from you, I will not update the second forum ... a long time. It's not worth these problems ...

                      What you write above did not help us to solve it. Is it possible to correct the error with your help? I'm willing to pay for this support ( finish that to full working). The forum has not worked and all attempts have failed. I wrote you a support ticket (Ticketid: 2318711) without your answer.

                      Thank you

                      Comment


                      • #12
                        All files have to be uploaded before you attempt the upgrade process. The entire upgrade script is powered by Javascript. Even if someone else has a similar issue with the same error message, that doesn't mean you have the same issue.

                        If you wish to purchase a professional upgrade, you can do so on the main site and one of our people will install the software for you.
                        Translations provided by Google.

                        Wayne Luke
                        The Rabid Badger - a vBulletin Cloud demonstration site.
                        vBulletin 5 API - Full / Mobile
                        Vote for your favorite feature requests and the bugs you want to see fixed.

                        Comment


                        • #13
                          Wayne Luke


                          All files have to be uploaded before you attempt the upgrade process. The entire upgrade script is powered by Javascript.

                          I have two licenses from you for several years. We did several upgrades on the first and also the second forum .... javascript I have set up right .... I wrote it above ... bug created by your latest upgrade 5.6.0 !



                          If you wish to purchase a professional upgrade, you can do so on the main site and one of our people will install the software for you.
                          Purchased product from you ... officially ....installed official update 5.6.0 according to standard instructions, which damaged the working product

                          Instead of support (calmly also paid) do you offer me a paid full-upgrade without the original settings (according to the service description in your price list)? Great ....Thanks for your help

                          Comment


                          • #14
                            Originally posted by cz_zyp View Post
                            What you write above did not help us to solve it. Is it possible to correct the error with your help? I'm willing to pay for this support ( finish that to full working). The forum has not worked and all attempts have failed. I wrote you a support ticket (Ticketid: 2318711) without your answer.
                            You specifically stated you would pay to have this fixed. I am trying to point you to where you need to go to have it fixed. A support ticket ID doesn't matter because you have not purchased technical support for your account. Each license comes with 30 days of support from the date of purchase. Then free forum support. There is no FREE Ticket support.

                            Translations provided by Google.

                            Wayne Luke
                            The Rabid Badger - a vBulletin Cloud demonstration site.
                            vBulletin 5 API - Full / Mobile
                            Vote for your favorite feature requests and the bugs you want to see fixed.

                            Comment


                            • #15
                              Originally posted by Wayne Luke View Post

                              You specifically stated you would pay to have this fixed. I am trying to point you to where you need to go to have it fixed. A support ticket ID doesn't matter because you have not purchased technical support for your account. Each license comes with 30 days of support from the date of purchase. Then free forum support. There is no FREE Ticket support.

                              Sorry, I have been to this forum for the first time this week, even though I have been using your services for 4 years. So I did not know that I was not allowed to use a support ticket. Above I just mentioned it to avoid duplication. I use many other paid support services and web services. I met with it for the first time....

                              Yes, I wrote that I would be happy to pay to re-launch my forum, which was damaged by the official update. I don't want to lose any data. A clean installation / upgrade without settings (as stated in the price list) will not solve this for me. I can do that too. I don't understand why you emphasize the word Free.

                              Comment

                              Related Topics

                              Collapse

                              Working...
                              X